Legacy (SimpleBooks v1)

Endpoints of the original SimpleBooks, kept for reference.

MethodPathSummary
GET/app/simplebooks/versionVersion (legacy)
GET/app/simplebooks/companiesList companies (legacy)
GET/app/simplebooks/companies/has-membershipDoes the person have a company? (legacy)
POST/app/simplebooks/companies/createCreate a company (legacy)
POST/app/simplebooks/company/receiptsReceipts for a month (legacy)
POST/app/simplebooks/company/receipts/total/yearYear total (legacy)
POST/app/simplebooks/company/receipts/total/monthMonth total (legacy)

#Version (legacy)

GET/app/simplebooks/version
Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/version
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Response 200

FieldTypeDescription
versionsarray of object
versions[].latest_versionstring, or null
Example response
JSON
{
  "versions": [
    {
      "latest_version": "string"
    }
  ]
}

Errors

StatusMessage
404Data not found

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/app/simplebooks/version' \
  -H "X-API-Key: $BRAMBLE_KEY"

#List companies (legacy)

GET/app/simplebooks/companies
Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/companies
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Response 200

FieldTypeDescription
companiesarray of any
Example response
JSON
{
  "companies": []
}

Errors

StatusMessage
404No companies found for this user

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/app/simplebooks/companies' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Does the person have a company? (legacy)

GET/app/simplebooks/companies/has-membership
Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/has-membership
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Response 200

FieldTypeDescription
isMemberany
Example response
JSON
{
  "isMember": null
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/has-membership' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Create a company (legacy)

POST/app/simplebooks/companies/create
Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/create
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Request body JSON

NameTypeDescription
formObjectany

Response 200

FieldTypeDescription
messagestring
company_idinteger
Example response
JSON
{
  "message": "Saved",
  "company_id": 7
}

Errors

StatusMessage
404User not found

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/create' \
  -H "X-API-Key: $BRAMBLE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"formObject":"…"}'

#Receipts for a month (legacy)

POST/app/simplebooks/company/receipts
Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Request body JSON

NameTypeDescription
company_idrequiredinteger
fiscal_yearrequiredany
fiscal_monthrequiredany

Response 200

FieldTypeDescription
resultarray of object
result[].titleany
result[].amountany
result[].receipt_datestring (date), or null
result[].categoryany
result[].fiscal_yearany
result[].fiscal_monthany
result[].created_atstring (date-time)
Example response
JSON
{
  "result": [
    {
      "title": null,
      "amount": null,
      "receipt_date": "2026-11-12",
      "category": null,
      "fiscal_year": null,
      "fiscal_month": null,
      "created_at": "2026-11-12T09:30:00.000Z"
    }
  ]
}

Errors

StatusMessage
400Missing required parameters
404User not found
404No receipts found for this period

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts' \
  -H "X-API-Key: $BRAMBLE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"company_id":7,"fiscal_year":"…","fiscal_month":"…"}'

#Year total (legacy)

POST/app/simplebooks/company/receipts/total/year
Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/year
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Request body JSON

NameTypeDescription
company_idrequiredinteger
fiscal_yearrequiredany

Response 200

FieldTypeDescription
totalinteger
Example response
JSON
{
  "total": 3
}

Errors

StatusMessage
400Missing required parameters
404User not found

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/year' \
  -H "X-API-Key: $BRAMBLE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"company_id":7,"fiscal_year":"…"}'

#Month total (legacy)

POST/app/simplebooks/company/receipts/total/month
Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/month
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Request body JSON

NameTypeDescription
company_idrequiredinteger
fiscal_yearrequiredany
fiscal_monthrequiredany

Response 200

FieldTypeDescription
totalinteger
Example response
JSON
{
  "total": 3
}

Errors

StatusMessage
400Missing required parameters
404User not found

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/month' \
  -H "X-API-Key: $BRAMBLE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"company_id":7,"fiscal_year":"…","fiscal_month":"…"}'